function update() {
	var O_Name = $("#O_Name");
	var O_Phone = $("#O_Phone");
	var O_QQ = $("#O_QQ");
	var O_Email = $("#O_Email");
	var O_Address = $("#O_Address");
	
	var v_name = O_Name.val().replace(/ /g, '').replace(/'/g, '');
	var v_sex = $("[name='O_Sex']:checked").val(); 
	var v_phone = O_Phone.val().replace(/ /g, '').replace(/'/g, '');
	var v_qq = O_QQ.val().replace(/ /g, '').replace(/'/g, '');
	var v_email = O_Email.val().replace(/ /g, '').replace(/'/g, '');
	var v_address = O_Address.val().replace(/ /g, '').replace(/'/g, '');

	if(v_name == "") {
		alert("姓名不能为空！");
		O_Name.val("");
		O_Name.focus();
	} else if(v_phone == "") {
		alert("联系电话不能为空！");
		O_Phone.val("");
		O_Phone.focus();
	} else if(v_qq != "" && !/\d{5,}$/.test(v_qq)) {
		alert("联系QQ有误！");
		O_QQ.focus();
	} else if(v_email != "" && !/.+@.+\.[a-zA-Z]{2,4}$/.test(v_email)) {
		alert("Email有误！");
		O_Email.focus();
	} else {
		var O_Submit = $("#O_Submit");
		O_Submit.attr("disabled", true);
		$.post("?m=admin/myInfo.updateHandle", { name:v_name, sex:v_sex, phone:v_phone, qq:v_qq, email:v_email, address:v_address }, function(data) {//alert(data);
			alert(data[1]);
			if(data[0] == "error") {
				if(data[2] == "name is null") {
					O_Name.focus();
				} else if(data[2] == "phone is null") {
					O_Phone.focus();
				}
			}
			O_Submit.attr("disabled", false);
		}, "json");
	}
}